// UnsDisView.h : interface of the CUnsDisView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_UNSDISVIEW_H__5D8C8C1E_111E_11D3_AAFE_DF5ABD9FD035__INCLUDED_)
#define AFX_UNSDISVIEW_H__5D8C8C1E_111E_11D3_AAFE_DF5ABD9FD035__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
class CZoomView;

class CUnsDisView : public CZoomView
{
protected: // create from serialization only
	CUnsDisView();
	DECLARE_DYNCREATE(CUnsDisView)

// Attributes
public:
	CUnsDisDoc* GetDocument();

// Operations
public:
	int mul,div,istart,iend;
	CRect rokr;
	BOOL IsAxes,IsGraph;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CUnsDisView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual void OnInitialUpdate(); // called first time after construct
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnPrint(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CUnsDisView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CUnsDisView)
	afx_msg void OnLayAdd();
	afx_msg void OnLayEd();
	afx_msg void OnGenElem();
	afx_msg void OnZoom100();
	afx_msg void OnUpdateZoom100(CCmdUI* pCmdUI);
	afx_msg void OnZoom200();
	afx_msg void OnUpdateZoom200(CCmdUI* pCmdUI);
	afx_msg void OnZoom50();
	afx_msg void OnUpdateZoom50(CCmdUI* pCmdUI);
	afx_msg void OnZoom75();
	afx_msg void OnUpdateZoom75(CCmdUI* pCmdUI);
	afx_msg void OnInitOpen();
	afx_msg void OnBounCon();
	afx_msg void OnSolve();
	afx_msg void OnZoomFull();
	afx_msg void OnZoomIn();
	afx_msg void OnUpdateZoomIn(CCmdUI* pCmdUI);
	afx_msg void OnZoomOut();
	afx_msg void OnUpdateZoomOut(CCmdUI* pCmdUI);
	afx_msg void OnFormatAxes();
	afx_msg void OnFormMeas();
	afx_msg void OnLayDel();
	afx_msg void OnFormatFont();
	afx_msg void OnViewTime();
	afx_msg void OnViewGraph();
	afx_msg void OnUpdateViewGraph(CCmdUI* pCmdUI);
	afx_msg void OnViewTab();
	afx_msg void OnUpdateViewTab(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in UnsDisView.cpp
inline CUnsDisDoc* CUnsDisView::GetDocument()
   { return (CUnsDisDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_UNSDISVIEW_H__5D8C8C1E_111E_11D3_AAFE_DF5ABD9FD035__INCLUDED_)
